2.33 -- Wed May 19 11:34:00 MT 2020

  * Remove PAX Headers in tarball using GNU tar

2.32 -- Wed Mar 04 14:41:00 MT 2020

 * Fix t/date.t to run on leap years [arc]

2.31 -- Thu Jan 16 14:00:00 MT 2020

  * Fix year 2020 bug from t/getdate.t [Prajith]
  * Fix warnings from t/date.t
  * Fix pod issue in lib/Date/Parse.pm
  * Fix for French language using English day suffixes in %o [mitchjacksontech]
  * RT#84075: Fix Date::Parse::str2time century issue. [perlpilot]
  * Adds Occitan language. [Quenty31]
  * Migrate GitHub repo and bugtracker to atoomic/perl-TimeDate

2.30 -- Mon Feb 18 13:31:03 CST 2013
  * Syncing distribution version number with Date::Parse, not functional changes

1.20 -- Sat Dec 12 06:38:14 CST 2009

  * Typo => s/timezome/timezone/ [yanick]
  * RT#52387 Fix %s formating to use timelocal when no timezone is given
  * RT#51664 fix str2time('16 Oct 09') to not give a negative result

1.19 -- Fri Sep 25 13:59:41 CDT 2009

  * Replace Date::Language::Hungarian with version from CPAN by Lee Goddard

1.18 -- Thu Sep 24 17:43:28 CDT 2009

  * RT#49963 Skip pre 1970 date tests on Win32
  * Added Date::Language::Hungarian (Konrad Lorinczi)

1.17 -- Sat Sep 19 10:56:12 CDT 2009

Bugfixes
  * RT#45067: Date::Format with %z gives wrong results for half-hour timezones (Ernesto Hernández-Novich)
  * RT#48164: Date::Parse unable to set seconds correctly
  * RT#17396: Parse error for french date with 'mars' (march) as month

Documentation
  * Fixed documentation for %e in Date::Format
  * Update documentation to remove Date::Format->language

Enhancements
  * Add support for dates like Jul-13-1999 (Brett Warden)
  * Added Icelandic language (Tomas Edwardsson)
  * Added Romanian language (Doru Petrescu)
  * Added Russian language (Denis Poznyakov & Danil Pismenny)
  * Added Turkish language (Burak Gursoy)
  * Added Spanish language (Adrian Mugnolo)
  * Added Chinese language (Kang-min Liu)
  * Support parsing dates like 2002-02-26-10:37:21.141 as used by lpd
  * Support Z timezone when only the time is specified
  * Added METDST to Time::Zone
  * Added AKST/AKDT to Time::Zone

Changes prior to 1.17

Change 814 on 2003/06/03 by <gbarr@pobox.com> (Graham Barr)

	Date::Parse
	- Time::Local in 5.8 does not support fractional seconds

Change 813 on 2003/06/02 by <gbarr@pobox.com> (Graham Barr)

	Release 1.15

Change 812 on 2003/06/02 by <gbarr@pobox.com> (Graham Barr)

	Fix comments about Language implementation in Date::Parse
	(patch from Christian Hammers)

Change 811 on 2003/06/02 by <gbarr@pobox.com> (Graham Barr)

	Fix short name for 'maart' to be 'mrt' as suggested by Frank Maas

Change 810 on 2003/06/02 by <gbarr@pobox.com> (Graham Barr)

	Add %G format for GPS week (patch from Eric Richardson)

Change 809 on 2003/06/02 by <gbarr@pobox.com> (Graham Barr)

	Language updates from Daniel Yacob

Change 808 on 2003/06/02 by <gbarr@pobox.com> (Graham Barr)

	str2time("") should return undef

Change 807 on 2003/06/02 by <gbarr@pobox.com> (Graham Barr)

	Added Swedish and Finnish languages from Matthew Musgrove

Change 778 on 2003/03/03 by <gbarr@pobox.com> (Graham Barr)

	Added Chinese_GB language.
	Supplied by forehead (I don't even pretend tounderstand it)

Change 777 on 2003/03/03 by <gbarr@pobox.com> (Graham Barr)

	Return fractional seconds when specified in an ISO date

Change 776 on 2003/03/03 by <gbarr@pobox.com> (Graham Barr)

	New languages from Daniel Yacob

Change 775 on 2003/03/03 by <gbarr@pobox.com> (Graham Barr)

	Fix UTC support on ISO dates

Change 774 on 2003/03/03 by <gbarr@pobox.com> (Graham Barr)

	Allow a : in a timezone so the dates specified in RSS can be parsed
	(eg 2002-11-07T23:31:49-05:00) Patch from Kellan

Change 773 on 2003/03/03 by <gbarr@pobox.com> (Graham Barr)

	Support parsing more formats

Change 754 on 2002/11/03 by <gbarr@pobox.com> (Graham Barr)

	Release 1.14

Change 753 on 2002/11/03 by <gbarr@pobox.com> (Graham Barr)

	Fix bug parsing 2002-11-02 11pm

Change 752 on 2002/11/03 by <gbarr@pobox.com> (Graham Barr)

	Add Greek language module from Matthew Musgrove

Change 744 on 2002/09/16 by <gbarr@pobox.com> (Graham Barr)

	Add Date::Language::Brazilian and Date::Language::Danish
	to MANIFEST

Change 743 on 2002/09/16 by <gbarr@pobox.com> (Graham Barr)

	Add Date::Language::Brazilian from Christian Tosta
	Add Date::Language::Danish from Lars Skjærlund

Change 742 on 2002/09/16 by <gbarr@pobox.com> (Graham Barr)

	Time::Zone
	- Add some zones for Brazil

Change 741 on 2002/09/16 by <gbarr@pobox.com> (Graham Barr)

	Time::Zone [cpan #1299]
	- Allow $ENV{TZ} to have zomes like EST5

Change 733 on 2002/06/13 by <gbarr@pobox.com> (Graham Barr)

	Date::Language::French
	- Fix missing ;

Change 732 on 2002/06/06 by <gbarr@pobox.com> (Graham Barr)

	Release 1.13

Change 731 on 2002/06/06 by <gbarr@pobox.com> (Graham Barr)

	Fix pattern to allow single digits for month and day (eg '2002-6-1')

Change 730 on 2002/06/03 by <gbarr@pobox.com> (Graham Barr)

	Release 1.12

Change 729 on 2002/06/03 by <gbarr@pobox.com> (Graham Barr)

	Fix month name abbreviations

Change 720 on 2002/04/25 by <gbarr@pobox.com> (Graham Barr)

	Date::Parse
	- Make it work with 5.004 again

Change 719 on 2002/04/25 by <gbarr@pobox.com> (Graham Barr)

	Prevent the ISO date pattern matching where it should not. ie there must not
	be a non-space character directly before the date string

Change 718 on 2002/04/17 by <gbarr@pobox.com> (Graham Barr)

	Change French @Dsuf, from Peter Samuelson <peter@cadcamlab.org>

Change 712 on 2002/03/07 by <gbarr@pobox.com> (Graham Barr)

	Added %L format for month number as 1..12 from Adam Monsen

Change 708 on 2002/02/28 by <gbarr@pobox.com> (Graham Barr)

	Release 1.11

Change 707 on 2002/02/28 by <gbarr@pobox.com> (Graham Barr)

	Fix format error in t/date.t

Change 692 on 2002/01/09 by <gbarr@pobox.com> (Graham Barr)

	Be a bit more lenient on the ISO format

Change 691 on 2002/01/02 by <gbarr@pobox.com> (Graham Barr)

	Fix typo in ISO-8601 formats in docs

Change 690 on 2001/12/28 by <gbarr@pobox.com> (Graham Barr)

	Date::Format
	- Fix array dereference syntax typo

Change 689 on 2001/12/28 by <gbarr@pobox.com> (Graham Barr)

	Date::Format
	- Fix doc typos

Change 682 on 2001/11/20 by <gbarr@pobox.com> (Graham Barr)

	Date::Parse
	- Make the minutes and seconds parts of an ISO-8601 optional
	(patch from Christian Hammers)

Change 681 on 2001/11/20 by <gbarr@pobox.com> (Graham Barr)

	Date::Parse
	- Allow AM/PM to be just A/P (eg Jul 13 1999 1:23P) as used by MySQL
	(patch from Drew Degentesh)

Change 680 on 2001/11/20 by <gbarr@pobox.com> (Graham Barr)

	Time::Zone
	- Add CEST Central European Daylight

Change 679 on 2001/11/20 by <gbarr@pobox.com> (Graham Barr)

	Date::Parse
	- Extract (but ignore) fractions of a second in an ISO8601 date string
	(patch from rayg at yahoo-inc.com)

Change 678 on 2001/11/20 by <gbarr@pobox.com> (Graham Barr)

	Add %P to be am or pm

Change 677 on 2001/11/20 by <gbarr@pobox.com> (Graham Barr)

	Date::Language::French
	- Um, the french have 7 days in the week just like everyone else

Change 676 on 2001/11/20 by <gbarr@pobox.com> (Graham Barr)

	Date::Language::German
	- Fix abbrev for October (patch from Stefan Niederhauser)

Change 634 on 2001/09/03 by <gbarr@pobox.com> (Graham Barr)

	Add a check for invalid years in format 1995-01-24

Change 580 on 2000/09/04 by <gbarr@pobox.com> (Graham Barr)

	Release 1.10

Change 579 on 2000/09/04 by <gbarr@pobox.com> (Graham Barr)

	Date::Parse
	- Support for more date formats
	
	Time::Zone
	- Added more zones

Change 539 on 2000/06/14 by <gbarr@pobox.com> (Graham Barr)

	Documentation updates

Change 536 on 2000/06/06 by <gbarr@pobox.com> (Graham Barr)

	Fix VERSION numbers

Change 535 on 2000/06/06 by <gbarr@pobox.com> (Graham Barr)

	Date::Format
	- Added support for %O* to support output of roman numerals

Change 443 on 2000/03/29 by <gbarr@pobox.com> (Graham Barr)

	Release 1.09

Change 442 on 2000/03/29 by <gbarr@pobox.com> (Graham Barr)

	Added PPD stuff to Makefile.PL

Change 441 on 2000/03/29 by <gbarr@pobox.com> (Graham Barr)

	Date::Parse
	- Allow "s after the timezone

Change 440 on 2000/03/29 by <gbarr@pobox.com> (Graham Barr)

	Date::Format
	- Fix doc for %c and %C

Change 409 on 2000/03/28 by <gbarr@pobox.com> (Graham Barr)

	Moved .pm files into lib directory

Change 408 on 2000/03/28 by <gbarr@pobox.com> (Graham Barr)

	str2time returns undef on error bit Time::Local returns
	-1. Check if the -1 is real or an error

Change 407 on 2000/03/28 by <gbarr@pobox.com> (Graham Barr)

	Added Eastern European Summer Time EEST

Change 268 on 1999/03/18 by <gbarr@pobox.com> (Graham Barr)

	Date::Format, Time::Zone
	- Fix problem with %z and %Z as suggested by
	  Jason A Smith <smithj4@rpi.edu>

Change 267 on 1999/03/18 by <gbarr@pobox.com> (Graham Barr)

	- Make t/getdate.t more portable as suggested by
	  Paul Schinder <schinder@pobox.com>

Change 250 on 1999/02/06 by <gbarr@pobox.com> (Graham Barr)

	Date::Format
	- Correct docs for %d and %e

Change 249 on 1999/02/06 by <gbarr@pobox.com> (Graham Barr)

	Added Date::Language::Czech

Change 180 on 1998/08/05 by <gbarr@pobox.com> (Graham Barr)

	Date::Language
	- Added Date::Language::French contributed by
	  Emmanuel Bataille (bem@residents.frmug.org)
	- Split out the languages into .pm's
	
	Date::Parse
	- Added patch from Alan Burlison to Date::Parse to allow zone
	  offests +7, +10 and +700
	- Parse now supports GMT+0100

*** Release 1.08

Fri Jan  2 1998 <gbarr@pobox.com> (Graham Barr)

	Date::Format, Time::Zone
	- Fix for formatting %z and %Z
	
	all
	- Update Email address and year

Tue Feb 17 1998 <gbarr@pobox.com> (Graham Barr)

	Date::Language
	- Added format_o to German

Fri Sep 12 1997 <gbarr@pobox.com> (Graham Barr)

        Date::Parse
        - Added 'DST' to parser, it adjusts $zone by 3600 (but that may not
          be right in all cases)
	- Added a check to str2time to ensure valid
	  values are passed to Time::Local, to avoid croak-ing
	- Fixed to treat AM and PM correctly when the hour is 12. (I hope :-)

	Time::Zone
	- Modified for Western Australia

Tue 07 Jan 1996

	o Release 1.07
	o Fixed a problem in Time::Zone (had @l[8] instead of $l[8], doh! )

Thu 02 Jan 1996

	o Release 1.06
	o Fixed t/getdate.t
	o Date::Parse can now parse the date-format 960913, which apparently
	  is fairly common in sweden.

Wed 31 Jul 1996 <bodg@tiuk.ti.com>

	o Release 1.05
	o Modified Date::Format not to use single letter sub names,
	  all format sub names are nore prefixed with format_
	o Cleaned up Date/Format.pm so that AUTOLOAD is not required
	o Patched Date/Language.pm to add Norwegian. Thanks to
	  Gisle Aas <aas@bergen.sn.no> for the patch

Thu 27 Jun 1996 <bodg@tiuk.ti.com>

	o Added %z to Date::Format to output timezone in +/-0000 format
	o Added multi-language support via Date::Language,.

Tue 25 Jun 1996 <bodg@tiuk.ti.com>

        o Some code tidying up
        o added a new test, copied from Date::GetDate
        o improved performance

Wed 22 May 1996 <bodg@tiuk.ti.com>

	o Fixed a bug in the parser for dates in a default (local) timezone
	  but a different dst

Wed 15 May 1996 <bodg@tiuk.ti.com>

    	o Added support for mainframe type dates

Fri  3 May 1996 <bodg@tiuk.ti.com>

	o Added %s to date formatting at request of Josh Osborne
	  <stripes@va.pubnix.com>.

